#!/usr/bin/env ruby
# vim: ts=2 sw=2

# make this demo run without installing the library...
$: << "../src"

require 'evas'

dpy = Display.new
w, h = dpy.width/2, dpy.height/2

evas = Evas.new(
	:width => w, :height => h,
	:title => 'Evas Demonstration',
	:fontpath => '/usr/share/fonts/truetype')
	#:display => dpy,

$quit = false
while not $quit 
	evas.handle_x_events
	evas.render
end

